### Method

# WebKit2WebExtension DOMTreeWalker get_filter

deprecated: 2.22

#### Declaration [src]

    WebKitDOMNodeFilter*
    webkit_dom_tree_walker_get_filter (
      WebKitDOMTreeWalker* self
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

Gets property | `WebKit2WebExtension.DOMTreeWalker:filter`

#### Return value

Type: `WebKitDOMNodeFilter`

A `WebKitDOMNodeFilter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.